MCP Tools Reference: developerknowledge.googleapis.com

도구: batch_get_documents

이 도구를 사용하면 한 번의 호출로 최대 20개의 문서의 전체 콘텐츠를 가져올 수 있습니다. 문서 이름은 search_documents 도구 호출 결과의 parent 필드에서 가져와야 합니다. 여러 문서를 가져오기 위해 get_document를 여러 번 호출하는 대신 이 도구를 사용하세요.

다음 샘플은 curl를 사용하여 batch_get_documents MCP 도구를 호출하는 방법을 보여줍니다.

curl 요청
                  
curl --location 'https://developerknowledge.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "batch_get_documents",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

입력 스키마

batch_get_documents의 요청 스키마입니다.

BatchGetDocumentsRequest

JSON 표현
{
  "names": [
    string
  ]
}
필드
names[]

string

필수 항목입니다. search_documents에서 반환된 검색할 문서의 이름입니다. 한 번에 최대 20개의 문서를 검색할 수 있습니다. 문서는 요청의 names와 동일한 순서로 반환됩니다. 형식: documents/{uri_without_scheme} 예: documents/docs.cloud.google.com/storage/docs/creating-buckets

출력 스키마

batch_get_documents의 응답 스키마입니다.

BatchGetDocumentsResponse

JSON 표현
{
  "documents": [
    {
      object (Document)
    }
  ]
}
필드
documents[]

object (Document)

서류가 요청되었습니다.

문서

JSON 표현
{
  "name": string,
  "uri": string,
  "content": string,
  "description": string
}
필드
name

string

식별자. 문서의 리소스 이름입니다. 형식: documents/{uri_without_scheme} 예: documents/docs.cloud.google.com/storage/docs/creating-buckets

uri

string

출력 전용입니다. 콘텐츠의 URI입니다(예: https://cloud.google.com/storage/docs/creating-buckets).

content

string

출력 전용입니다. 문서의 콘텐츠(마크다운 형식)입니다.

이 문서가 search_documents에 의해 반환된 경우 이 필드에는 검색어와 관련된 텍스트 스니펫이 포함됩니다. 이 문서가 get_document 또는 batch_get_documents에 의해 반환되는 경우 이 필드에는 전체 문서 콘텐츠가 포함됩니다.

description

string

출력 전용입니다. 문서에 대한 설명입니다.

도구 주석

파괴적 힌트: ❌ | 동일한 힌트: ✅ | 읽기 전용 힌트: ✅ | 오픈 월드 힌트: ❌